Bug 1594590 - SELinux is preventing rm from 'unlink' accesses on the archivo .deliver_lock.
Summary: SELinux is preventing rm from 'unlink' accesses on the archivo .deliver_lock.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:554a2ce1c1c9b60cb00c70762e5...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-24 20:12 UTC by Subliminal_Sabotage
Modified: 2018-07-29 03:21 UTC (History)
5 users (show)

Fixed In Version: selinux-policy-3.14.1-36.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-29 03:21:47 UTC
Type: ---


Attachments (Terms of Use)

Description Subliminal_Sabotage 2018-06-24 20:12:22 UTC
Description of problem:
SELinux is preventing rm from 'unlink' accesses on the archivo .deliver_lock.

*****  Plugin catchall (100. confidence) suggests   **************************

Si cree que de manera predeterminada se debería permitir a rm el acceso unlink sobre  .deliver_lock file.     
Then debería reportar esto como un error.
Puede generar un módulo de política local para permitir este acceso.
Do
permita el acceso temporalmente ejecutando:
# ausearch -c 'rm' --raw | audit2allow -M mi-rm
# semodule -X 300 -i mi-rm.pp

Additional Information:
Source Context                system_u:system_r:fsdaemon_t:s0
Target Context                system_u:object_r:mail_home_rw_t:s0
Target Objects                .deliver_lock [ file ]
Source                        rm
Source Path                   rm
Port                          <Desconocido>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.14.1-32.fc28.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.17.2-200.fc28.x86_64 #1 SMP Mon
                              Jun 18 20:09:31 UTC 2018 x86_64 x86_64
Alert Count                   3
First Seen                    2018-06-24 16:04:34 -04
Last Seen                     2018-06-24 16:04:41 -04
Local ID                      cfbaec8c-6db5-40e1-a30f-a569e2add532

Raw Audit Messages
type=AVC msg=audit(1529870681.557:128): avc:  denied  { unlink } for  pid=1221 comm="dotlockfile" name=".deliver_lock" dev="dm-0" ino=532039 scontext=system_u:system_r:fsdaemon_t:s0 tcontext=system_u:object_r:mail_home_rw_t:s0 tclass=file permissive=0


Hash: rm,fsdaemon_t,mail_home_rw_t,file,unlink

Version-Release number of selected component:
selinux-policy-3.14.1-32.fc28.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.5
hashmarkername: setroubleshoot
kernel:         4.17.2-200.fc28.x86_64
type:           libreport

Potential duplicate: bug 1583636

Comment 1 Fedora Update System 2018-07-25 22:27:17 UTC
selinux-policy-3.14.1-36.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1050fb248b

Comment 2 Fedora Update System 2018-07-26 16:29:48 UTC
selinux-policy-3.14.1-36.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1050fb248b

Comment 3 Fedora Update System 2018-07-29 03:21:47 UTC
selinux-policy-3.14.1-36.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.